Bug 521905 - Fix instances of #!/usr/bin/env python in yum-fastestmirror
Summary: Fix instances of #!/usr/bin/env python in yum-fastestmirror
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-utils
Version: 5.4
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 502912 590060 521940
TreeView+ depends on / blocked
 
Reported: 2009-09-08 16:41 UTC by Issue Tracker
Modified: 2018-11-14 20:32 UTC (History)
2 users (show)

Fixed In Version: yum-utils-1.1.16-15.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-21 11:12:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1045 normal SHIPPED_LIVE yum-utils bug fix and enhancement update 2011-07-20 15:43:41 UTC

Description Issue Tracker 2009-09-08 16:41:29 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Issue Tracker 2009-09-08 16:41:31 UTC
Event posted on 09-08-2009 12:39pm EDT by kbaxley

There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, yum-fastestmirror in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python.  


/usr/lib/yum-plugins/fastestmirror.py in yum-fastestmirror-1.1.16-13.el5

# head -1 /usr/lib/yum-plugins/fastestmirror.py
#!/usr/bin/env python

This event sent from IssueTracker by kbaxley  [LLNL (HPC)]
 issue 339932

Comment 2 seth vidal 2009-09-08 19:51:54 UTC
I've committed this change upstream.

http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commitdiff;h=aa573af8a52b68f0dc23ac1cd201cb2eda437f8f

Comment 4 RHEL Product and Program Management 2009-11-06 19:05:40 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 6 RHEL Product and Program Management 2010-08-09 19:15:35 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 11 errata-xmlrpc 2011-07-21 11:12:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1045.html


Note You need to log in before you can comment on or make changes to this bug.